import React from 'react'

interface SetOptionListInterface {
    (optionList: Record<string, any>): any
}

interface SetArgumentListInterface {
    (argumentList: Record<string, any>): any
}

export interface ContextInterface {
    optionList: Record<string, any>,
    setOptionList: SetOptionListInterface
    argumentList: Record<string, any>,
    setArgumentList: SetArgumentListInterface,
}

const Context = React.createContext({} as ContextInterface)
export const Provider = Context.Provider
export default Context
